Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xpath.xml
Class XMLParserLiaisonDefault

    java.lang.Object
      |
      +--weblogic.apache.xpath.DOMHelper
            |
            +--weblogic.apache.xpath.DOM2Helper
                  |
                  +--weblogic.apache.xalan.xpath.xml.XMLParserLiaison
                        |
                        +--weblogic.apache.xalan.xpath.xml.XMLParserLiaisonDefault

Deprecated. This compatibility layer will be removed in later releases.

public class XMLParserLiaisonDefault
extends XMLParserLiaison

A class that handles interfacing IBM's XML4J2 to the Lotus XSL Processor.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Fields inherited from class weblogic.apache.xpath.DOMHelper
`m_candidateNoAncestorXMLNS, m_DOMFactory, m_NSInfoNullNoAncestorXMLNS, m_NSInfoNullWithoutXMLNS, m_NSInfoNullWithXMLNS, m_NSInfoUnProcNoAncestorXMLNS, m_NSInfoUnProcWithoutXMLNS, m_NSInfoUnProcWithXMLNS`

Constructor Summary
`XMLParserLiaisonDefault()` Deprecated.

Methods inherited from class weblogic.apache.xpath.DOM2Helper
`checkNode, getDocument, getElementByID, getLocalNameOfNode, getNamespaceOfNode, getParentOfNode, isNodeAfter, parse, setDocument, supportsSAX`

Methods inherited from class weblogic.apache.xpath.DOMHelper
`createDocument, getDOMFactory, getExpandedAttributeName, getExpandedElementName, getLevel, getNamespaceForPrefix, getNodeData, getNodeData, getRoot, getRootNode, getUniqueID, getUnparsedEntityURI, isIgnorableWhitespace, isNamespaceNode, setDOMFactory, shouldStripSourceNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLParserLiaisonDefault

    public XMLParserLiaisonDefault()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference